Download it now!
Bug 61098 - ASKLIBREOFFICE 0.7.43: Upgrade askbot software to the latest release (0.7.48)
Summary: ASKLIBREOFFICE 0.7.43: Upgrade askbot software to the latest release (0.7.48)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
(See in Summary)
Hardware: Other All
: medium normal
Assignee: Alexander Werner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 60108
  Show dependency treegraph
 
Reported: 2013-02-19 05:34 UTC by Robinson Tryon (qubit)
Modified: 2013-07-01 18:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-02-19 05:34:08 UTC
Per http://askbot.org/doc/changelog.html the latest release of the software is 0.7.48. The Ask site is currently running askbot v0.7.43, which was released last May and is missing many of the features and bugfixes present in more modern builds.

Other Ask-site bugs (e.g. fdo#60108) are being punted until after the upgrade.
Comment 1 Robinson Tryon (qubit) 2013-02-19 05:42:02 UTC
Alex -- Do you have an ETA for the upgrade?

Thanks
Comment 2 Florian Effenberger 2013-02-19 08:09:41 UTC
From what I know, Alex has to merge locally-created patches with the base package, which takes some time.
Comment 3 Robinson Tryon (qubit) 2013-02-26 18:03:13 UTC
Please let me know if I can be of help with the upgrade process.

I'd be happy to take a look at any local modifications we've made and help to merge them into the latest version of Askbot from upstream. Just ping me for help.
Comment 4 Robinson Tryon (qubit) 2013-04-08 05:14:29 UTC
Pinged website list and alex again on March 29th.

- Any updates?
- Any guess on when this might occur?
- Need any help?
Comment 5 Florian Effenberger 2013-04-08 05:40:37 UTC
Met Alex yesterday, unfortunately he is still extremely swamped with non-TDF-tasks, so all we can do is to wait for him. Dealing with the request would take approximately 1-2 working days, he estimated. Totally lacking insight into AskBot, I cannot help here at all :(
Comment 6 bugquestcontri 2013-05-21 00:32:54 UTC
I know we are all depending on work done by voluntary people thus giving a time-to-solution answer is very difficult until a volunteer can make a commitment. 

Is there an update on this bug?

Background is another discussion round in AskLibO on this matter:

http://ask.libreoffice.org/en/question/8144/errors-on-this-site/?comment=17760#comment-17760
Comment 7 Florian Effenberger 2013-05-21 08:15:51 UTC
From what I recall, the work required is 2-3 man days, and Alex is swamped with his dayjob at the moment.

Robinson (Colonelqubit) has access as well and wanted to have a look.

I severly lack Python and development insight, so I can't be of much help here - merging git repositories isn't exactly my speciality...
Comment 8 Robinson Tryon (qubit) 2013-05-21 14:46:06 UTC
Hiya,

As floeff notes, I have backend access, but I've only had time to help out with some user-support questions. I have limited familiarity with the system and unfortunately don't have much free time to make changes.

Hopefully we'll get some more traction on this bug soon.
Comment 9 Florian Effenberger 2013-07-01 18:32:42 UTC
Closing this bug here, as the upgrade is currently in the progress, expected to happen soon. We have contracted the AskBot author to take care of this, as well as continuous support.